dirmngr: Allow building with libassuan < 2.3.
authorWerner Koch <wk@gnupg.org>
Mon, 19 Oct 2015 18:30:27 +0000 (20:30 +0200)
committerWerner Koch <wk@gnupg.org>
Mon, 19 Oct 2015 18:52:19 +0000 (20:52 +0200)
* dirmngr/dirmngr.c (set_tor_mode): Use newer assuan function only if
available.
* dirmngr/http.c (http_raw_connect): Ditto.
--

Frankly we should require that but we can also wait for 2.4.0 and
switch then.

dirmngr/dirmngr.c
dirmngr/http.c

index 744fb52..9aa1ca3 100644 (file)
@@ -470,7 +470,9 @@ set_tor_mode (void)
 {
   if (opt.use_tor)
     {
+#if ASSUAN_VERSION_NUMBER >= 0x020300 /* >= 2.3.0 */
       if (assuan_sock_set_flag (ASSUAN_INVALID_FD, "tor-mode", 1))
+#endif
         {
           log_error ("error enabling TOR mode: %s\n", strerror (errno));
           log_info ("(is your Libassuan recent enough?)\n");
index 6f8bf3d..ab32bd8 100644 (file)
@@ -753,7 +753,9 @@ http_raw_connect (http_t *r_hd, const char *server, unsigned short port,
     {
       int mode;
 
+#if ASSUAN_VERSION_NUMBER >= 0x020300 /* >= 2.3.0 */
       if (assuan_sock_get_flag (ASSUAN_INVALID_FD, "tor-mode", &mode) || !mode)
+#endif
         {
           log_error ("TOR support is not available\n");
           return gpg_err_make (default_errsource, GPG_ERR_NOT_IMPLEMENTED);